from django import template

from classytags.arguments import Argument
from classytags.core import Options, Tag

from .. import utils

register = template.Library()

class RenderBlurp(Tag):
    name = 'render_blurp'
    options = Options(
        Argument('name', resolve=False),
    )


    def render_tag(self, context, name):
        renderer = utils.resolve_renderer(name)
        if not renderer:
            return ''
        template = renderer.render_template()
        context = renderer.render(context, None, None)
        if not hasattr(template, 'render'):
            template = template.Template(template)
        return template.render(context)
register.tag(RenderBlurp)
